Skip to main content
GET
/
api
/
brands
/
resolve
Resolve brand
curl --request GET \
  --url https://agenticadvertising.org/api/brands/resolve
{
  "canonical_id": "acmecorp.com",
  "canonical_domain": "acmecorp.com",
  "brand_name": "Acme Corp",
  "source": "brand_json",
  "names": [
    {}
  ],
  "keller_type": "master",
  "parent_brand": "<string>",
  "house_domain": "<string>",
  "house_name": "<string>",
  "brand_agent_url": "<string>",
  "brand_manifest": {}
}

Query Parameters

domain
string
required
Example:

"acmecorp.com"

fresh
enum<string>
Available options:
true,
false

Response

Brand resolved successfully

canonical_id
string
required
Example:

"acmecorp.com"

canonical_domain
string
required
Example:

"acmecorp.com"

brand_name
string
required
Example:

"Acme Corp"

source
enum<string>
required
Available options:
brand_json,
community,
enriched
names
object[]
keller_type
enum<string>
Available options:
master,
sub_brand,
endorsed,
independent
parent_brand
string
house_domain
string
house_name
string
brand_agent_url
string
brand_manifest
object